EDIT - task #6879

Update uuid and name for admin user group
08/03/2017 09:24 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.0

Severity: blocker

Description

A new default permission group "Admin" exists since 4.10 (#6856). We need to update all existing "admin" groups to use the same
uuid and same case.

UPDATE PermissionGroup
SET uuid='1739df71-bf73-4dc6-8320-aaaf72cb555f', name='Admin'
WHERE name='admin' or name='Admin'

Related issues:
Related to EDIT - feature request #6856: Add group Admin to standard FirstDat... Closed

Associated revisions

Revision d5111e49 - 05/09/2018 01:21 PM - Andreas Miiller

fix #6879 Update uuid and name for admin user group

Revision 22ab9ced - 05/09/2018 01:21 PM - Andreas Miiller
ref #6879 fix stepName

Revision 77e64bd9 - 05/11/2018 11:48 AM - Andreas Miiller

ref #6879 fix update script for admin user group uuid

History

#1 - 08/03/2017 09:26 AM - Andreas Miiller
- Related to feature request #6856: Add group Admin to standard FirstDatalnserter added

#2 - 08/03/2017 09:27 AM - Andreas Miiller
- Tags set to security

- Description updated

#3 - 08/03/2017 09:27 AM - Andreas Miiller

- Status changed from New to In Progress

#4 - 08/03/2017 11:04 AM - Andreas Kohlbecker
Shouldn't this be handled in the Fistdatalnserter?

#5 - 08/03/2017 01:34 PM - Andreas Miiller
Andreas Kohlbecker wrote:
Shouldn't this be handled in the Fistdatalnserter?
Hmm, | don't know. It is only relevant for databases that existed prior to 4.10. We also don't having something like this for the other 2 permission
groups and never needed it. But of course if we do not not have a model update with the next release it might be helpful to handle it directly in the

Fistdatalnserter.
Is it easy to implement there? If yes, we could add it and remove after the next model change.

#6 - 09/23/2017 01:39 PM - Andreas Miuller
- Tracker changed from bug to task

#7 - 05/07/2018 05:46 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

#8 - 05/14/2018 03:23 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
